package domain

type AlibabaHmMarketingItembuygiftQueryactivityMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   查询返回的活动信息     */
	Data *AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity `json:"data,omitempty" `

	/*
	   查询活动是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItembuygiftQueryactivityMarketResult) SetMessage(v string) *AlibabaHmMarketingItembuygiftQueryactivityMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryactivityMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItembuygiftQueryactivityMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryactivityMarketResult) SetData(v AlibabaHmMarketingItembuygiftQueryactivityItemBuyGiftActivity) *AlibabaHmMarketingItembuygiftQueryactivityMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryactivityMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItembuygiftQueryactivityMarketResult {
	s.Success = &v
	return s
}
